----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    13:03:14 02/25/2008 
-- Design Name: 
-- Module Name:    ddr - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

---- Uncomment the following library declaration if instantiating
---- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity ddr is
  port(
      Clk: in std_logic;
      Clk_n: in std_logic;
      Cke: in std_logic;
      Cs_n: in std_logic;
      Ras_n: in std_logic;
      Cas_n: in std_logic;
      We_n: in std_logic;
      Ba: in std_logic_vector(1 downto 0);
      Addr: in std_logic_vector(ADDR_BITS-1 downto 0);
      Dm: in std_logic_vector(DM_BITS-1 downto 0);
      Dq: inout std_logic_vector(DQ_BITS-1 downto 0);
      Dqs: inout std_logic_vector(DQS_BITS-1 downto 0)
  );
end ddr;

architecture Behavioral of ddr is
signal dq_in : std_logic_vector(31 downto 0) := (others => '0');
signal dqs_in : std_logic_vector(3 downto 0) := (others => '0');
signal dm_in : std_logic_vector(3 downto 0) := (others => '0');
begin
dq_in(DQ_BITS-1 downto 0) <= Dq;
dqs_in(DQS_BITS-1 downto 0) <= Dqs;
dm_in(DM_BITS-1 downto 0) <= Dm;

end Behavioral;

