`timescale 1ns / 1ps

////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer:
//
// Create Date:   14:24:19 02/26/2008
// Design Name:   ATM_db
// Module Name:   C:/iseproj/atm_db3/ddr_tb.v
// Project Name:  atm_db
// Target Device:  
// Tool versions:  
// Description: 
//
// Verilog Test Fixture created by ISE for module: ATM_db
//
// Dependencies:
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
////////////////////////////////////////////////////////////////////////////////

module ddr_tb_v;

	// Inputs
	reg clock_p;
	reg clock_n;
	reg clk25m;
	reg [1:0] RSV;
	reg Q;
	reg YSSIR;
	reg SDSREQ;
	reg G_TRIG;
	reg TX_clk;
	reg [3:0] RXD;
	reg RX_clk;
	reg RX_DV;
	reg RX_ER;
	reg COL;
	reg CRS;
	reg MDINT;
	reg [2:0] HU;
	reg [3:0] CR;
	reg [4:0] SL;
	reg SPI_SO;
	reg M_Q;

	// Outputs
	wire [3:0] FN;
	wire [10:0] SA;
	wire DOIT;
	wire reset_ATM;
	wire [12:0] MA;
	wire [1:0] MBA;
	wire DM;
	wire WE_n;
	wire CAS_n;
	wire RAS_n;
	wire CS_n;
	wire mclke;
	wire mclk;
	wire mclk_n;
	wire reset_b;
	wire [3:0] TXD;
	wire TX_en;
	wire TX_er;
	wire [1:0] TX_slew;
	wire PAUSE;
	wire MDC;
	wire [2:1] LED;
	wire [3:1] CFG;
	wire SPI_SI;
	wire SPI_SCK;
	wire SPI_CSn;
	wire INIT_n;

	// Bidirs
	wire [15:0] D;
	wire [3:0] MDQ;
	wire DQS;
	wire MDIO;
	wire SSN;
	wire [3:0] f_ctrl;

	// Instantiate the Unit Under Test (UUT)
	ATM_db uut (
		.clock_p(clock_p), 
		.clock_n(clock_n), 
		.clk25m(clk25m), 
		.FN(FN), 
		.SA(SA), 
		.D(D), 
		.RSV(RSV), 
		.Q(Q), 
		.DOIT(DOIT), 
		.YSSIR(YSSIR), 
		.SDSREQ(SDSREQ), 
		.G_TRIG(G_TRIG), 
		.reset_ATM(reset_ATM), 
		.MDQ(MDQ), 
		.MA(MA), 
		.MBA(MBA), 
		.DM(DM), 
		.DQS(DQS), 
		.WE_n(WE_n), 
		.CAS_n(CAS_n), 
		.RAS_n(RAS_n), 
		.CS_n(CS_n), 
		.mclke(mclke), 
		.mclk(mclk), 
		.mclk_n(mclk_n), 
		.reset_b(reset_b), 
		.TXD(TXD), 
		.TX_clk(TX_clk), 
		.TX_en(TX_en), 
		.TX_er(TX_er), 
		.TX_slew(TX_slew), 
		.RXD(RXD), 
		.RX_clk(RX_clk), 
		.RX_DV(RX_DV), 
		.RX_ER(RX_ER), 
		.COL(COL), 
		.CRS(CRS), 
		.PAUSE(PAUSE), 
		.MDIO(MDIO), 
		.MDC(MDC), 
		.MDINT(MDINT), 
		.LED(LED), 
		.CFG(CFG), 
		.SSN(SSN), 
		.HU(HU), 
		.CR(CR), 
		.SL(SL), 
		.SPI_SO(SPI_SO), 
		.SPI_SI(SPI_SI), 
		.SPI_SCK(SPI_SCK), 
		.SPI_CSn(SPI_CSn), 
		.INIT_n(INIT_n), 
		.M_Q(M_Q), 
		.f_ctrl(f_ctrl)
	);

	initial begin
		// Initialize Inputs
		clock_p = 0;
		clock_n = 0;
		clk25m = 0;
		RSV = 0;
		Q = 0;
		YSSIR = 0;
		SDSREQ = 0;
		G_TRIG = 0;
		TX_clk = 0;
		RXD = 0;
		RX_clk = 0;
		RX_DV = 0;
		RX_ER = 0;
		COL = 0;
		CRS = 0;
		MDINT = 0;
		HU = 0;
		CR = 0;
		SL = 0;
		SPI_SO = 0;
		M_Q = 0;

		// Wait 100 ns for global reset to finish
		#100;
        
		// Add stimulus here

	end
      
endmodule

